{
	"buffs": 
	[
		{
         "id" : "Habi_tooltip_1",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Habi_1",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Habi_tooltip_2",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Habi_2",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Habi_tooltip_3",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Habi_3",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Habi_tooltip_4",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Habi_4",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Habi_tooltip_5",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Habi_5",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Habi_tooltip_6",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Habi_6",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Habi_tooltip_7",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Habi_7",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Habi_tooltip_8",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Habi_8",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Habi_tooltip_9",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Habi_9",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Habi_tooltip_10",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Habi_10",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Habi_tooltip_11",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Habi_11",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Habi_tooltip_12",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Habi_12",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Habi_tooltip_13",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Habi_13",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Habi_tooltip_14",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Habi_14",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Habi_tooltip_15",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Habi_15",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Habi_tooltip_16",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Habi_16",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Habi_tooltip_17",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Habi_17",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Habi_tooltip_18",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Habi_18",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Habi_tooltip_19",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Habi_19",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Habi_tooltip_20",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Habi_20",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Habi_tooltip_21",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Habi_21",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Habi_tooltip_22",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Habi_22",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Habi_tooltip_23",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Habi_23",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Habi_tooltip_24",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Habi_24",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Habi_tooltip_25",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Habi_25",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Habi_tooltip_26",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Habi_26",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Habi_tooltip_27",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Habi_27",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Habi_tooltip_28",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Habi_28",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Habi_tooltip_29",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Habi_29",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Habi_tooltip_30",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Habi_30",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Habi_tooltip_31",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Habi_31",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Habi_tooltip_32",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Habi_32",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Habi_tooltip_33",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Habi_33",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Habi_tooltip_34",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Habi_34",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Habi_tooltip_35",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Habi_35",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Habi_tooltip_36",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Habi_36",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Habi_tooltip_37",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Habi_37",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Habi_tooltip_38",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Habi_38",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Habi_tooltip_38",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Habi_38",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Habi_tooltip_39",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Habi_39",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Habi_tooltip_40",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Habi_40",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Habi_tooltip_41",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Habi_41",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Habi_tooltip_42",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Habi_42",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Habi_tooltip_43",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Habi_43",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Habi_tooltip_44",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Habi_44",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Habi_tooltip_45",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Habi_45",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Habi_tooltip_46",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Habi_46",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Habi_tooltip_47",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Habi_47",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Habi_tooltip_48",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Habi_48",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Habi_tooltip_49",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Habi_49",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Habi_tooltip_50",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Habi_50",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Habi_tooltip_51",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Habi_51",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Habi_tooltip_52",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Habi_52",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Habi_tooltip_53",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Habi_53",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Habi_tooltip_54",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Habi_54",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Habi_tooltip_55",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Habi_55",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Habi_tooltip_56",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Habi_56",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Habi_tooltip_57",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Habi_57",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Habi_tooltip_58",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Habi_58",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Habi_tooltip_59",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Habi_59",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Habi_tooltip_60",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Habi_60",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Habi_tooltip_61",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Habi_61",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Habi_tooltip_62",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Habi_62",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Habi_tooltip_63",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Habi_63",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Habi_tooltip_64",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Habi_64",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Habi_tooltip_65",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Habi_65",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Habi_tooltip_66",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Habi_66",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Habi_tooltip_67",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Habi_67",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Habi_tooltip_68",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Habi_68",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Habi_tooltip_69",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Habi_69",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Habi_tooltip_70",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Habi_70",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Habi_tooltip_71",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Habi_71",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Habi_tooltip_72",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Habi_72",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Habi_tooltip_73",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Habi_73",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Habi_tooltip_74",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Habi_74",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Habi_tooltip_75",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Habi_75",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Habi_tooltip_76",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Habi_76",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Habi_tooltip_77",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Habi_77",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Habi_tooltip_78",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Habi_78",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Habi_tooltip_79",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Habi_79",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Habi_tooltip_80",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Habi_80",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Habi_tooltip_81",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Habi_81",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Habi_tooltip_82",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Habi_82",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Habi_tooltip_83",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Habi_83",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Habi_tooltip_84",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Habi_84",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Habi_tooltip_85",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Habi_85",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Habi_tooltip_86",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Habi_86",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Habi_tooltip_87",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Habi_87",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Habi_tooltip_88",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Habi_88",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Habi_tooltip_89",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Habi_89",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Habi_tooltip_90",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Habi_90",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Habi_tooltip_91",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Habi_91",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Habi_tooltip_92",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Habi_92",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Habi_tooltip_93",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Habi_93",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Habi_tooltip_94",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Habi_94",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Habi_tooltip_95",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Habi_95",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Habi_tooltip_96",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Habi_96",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Habi_tooltip_97",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Habi_97",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Habi_tooltip_98",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Habi_98",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Habi_tooltip_99",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Habi_99",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      },
	  {
         "id" : "Habi_tooltip_100",
         "stat_type" : "upgrade_discount",
         "stat_sub_type" : "Habi_100",
         "amount" : 1,
         "remove_if_not_active" : false,
         "rule_type" : "always",
         "is_false_rule" : false,
         "rule_data" : {
            "float" : 0,
            "string" : ""
         }
      }
	]
}